RFP actions (REST mirror of save_rfp)
curl --request POST \
--url https://api.semicola.com/api/v2/storefront/rfps \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"action": "create",
"request": {
"brief": "<string>",
"budget": 1,
"currency": "<string>",
"channels": [],
"formatKinds": [],
"countries": [
"<string>"
],
"constraints": [
"<string>"
],
"productCount": 123,
"instruction": "<string>"
},
"confirm": true,
"strategy": {},
"clientRequestId": "<string>"
}
'import requests
url = "https://api.semicola.com/api/v2/storefront/rfps"
payload = {
"action": "create",
"request": {
"brief": "<string>",
"budget": 1,
"currency": "<string>",
"channels": [],
"formatKinds": [],
"countries": ["<string>"],
"constraints": ["<string>"],
"productCount": 123,
"instruction": "<string>"
},
"confirm": True,
"strategy": {},
"clientRequestId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
action: 'create',
request: {
brief: '<string>',
budget: 1,
currency: '<string>',
channels: [],
formatKinds: [],
countries: ['<string>'],
constraints: ['<string>'],
productCount: 123,
instruction: '<string>'
},
confirm: true,
strategy: {},
clientRequestId: '<string>'
})
};
fetch('https://api.semicola.com/api/v2/storefront/rfps', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"action": "create",
"rfpId": "<string>",
"turnId": "<string>",
"turnState": "queued",
"representationId": "<string>"
},
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": "<unknown>"
}
}Demand Inbox
RFP actions (REST mirror of save_rfp)
POST
/
api
/
v2
/
storefront
/
rfps
RFP actions (REST mirror of save_rfp)
Authorizations
bearerAuthsessionCookie
API key or OAuth access token.
Body
application/json
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
- Option 7
- Option 8
Allowed value:
"create"Available options:
adcp, manual, imported, starter Available options:
live, evaluation, draft Show child attributes
Show child attributes
Show child attributes
Show child attributes
Minimum string length:
1